<div class="w-104" #linearGraph></div>

<div class="wrapper" *ngIf="!show">
    <button class="btn btn-outline" type="button" (click)="replot()">Re-plot Line Regression</button>
</div>

<!-- For linear regression chart -->
<ng-container *ngIf="show">
    <div class="container">
    <h1>Linear Regression</h1>
    
    <div class="data-selection" >

        <div class="example-container">
            <h2>X-axis</h2>
            <div cdkDropList #x_dataList="cdkDropList" [cdkDropListData]="x_data" [cdkDropListConnectedTo]="[dataList]"
                class="example-list" (cdkDropListDropped)="drop($event)">
                <div class="example-box" *ngFor="let item of x_data" cdkDrag>{{item.name}}</div>
            </div>
        </div>
      

        <div class="example-container">
            <h2>Y-axis</h2>
            <div cdkDropList #y_dataList="cdkDropList" [cdkDropListData]="y_data" [cdkDropListConnectedTo]="[dataList]"
                class="example-list" (cdkDropListDropped)="drop($event)">
                <div class="example-box" *ngFor="let item of y_data" cdkDrag>{{item.name}}</div>
            </div>
        </div>

    

        <div class="example-container">
            <h2>Data</h2>

            <div cdkDropList #dataList="cdkDropList" [cdkDropListData]="linearNameData"
                [cdkDropListConnectedTo]="[x_dataList, y_dataList]" class="example-list" (cdkDropListDropped)="drop($event)">
                <div class="example-box" *ngFor="let item of linearNameData" cdkDrag>{{item.name}}</div>

            </div>
        </div>

        <ul>
        <div class="text" *ngIf="x_data.length > 1">
            <li style="color: red">Only one data allowed for X-axis</li>
        </div>
        
        <div class="text" *ngIf="y_data.length > 1">
            <li style="color: red">Only one data allowed for Y-axis</li>
        </div>

        </ul>

        <div class = "wrapper" *ngIf="y_data.length == 1 && x_data.length == 1">
            <button type="button" class="btn btn-outline" (click)="displayLinearChart(x_data, y_data)">Generate Graph</button>
        </div>

        <!--<ng-template #elseBlock>Must have one data for X and Y !</ng-template>-->
    </div>
    </div>
   
</ng-container>